@import url('https://fonts.googleapis.com/css2?family=Montserrat&family=Playfair+Display&display=swap');

* {
    padding: 0;
    margin: 0;
    scroll-behavior: smooth;
    cursor: default;
}

body {
    padding: 0;
    margin: 0;
    height: 100%;
}

/* Styles for section one menu page */
/* Shared Section Styles */
.sectionOne,
.sectionTwo,
.sectionThree,
.sectionFour {
    position: relative;
    height: 100vh;
    overflow: hidden;
}

/* Logo Styling */
.logo {
    position: fixed;
    top: 0;
    left: 14rem;
    background-color: #fdf0d5;
    width: 10.0625rem;
    height: 10.875rem;
    z-index: 100;
    display: flex;
    align-items: center;
    justify-content: center;
}

.logo img {
    width: 103px;
    height: 99px;
    cursor: pointer;
}

/* Background Image for Sections */
.backgroundImage {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 0; /* Keep it behind the glass */
    filter: brightness(80%);
}

.glassMorphismEffectLeftSide,
.glassMorphismEffectRightSide {
    position: absolute;
    top: 0;
    width: 46%;
    height: 100vh;
    background: rgba(0, 0, 0, 0.4);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 2rem;
    color: white;
    font-size: 1rem;
    line-height: 1.6;
    z-index: 2;
}

.glassMorphismEffectLeftSide {
    left: 0;
    box-shadow: 20px 0 40px rgba(0, 0, 0, 0.5);
}

.glassMorphismEffectRightSide {
    right: 0;
    box-shadow: -20px 0 40px rgba(0, 0, 0, 0.5);
}

/* Style for left side glassmorphism paragraphs */
.glassMorphismEffectLeftSide p:nth-child(1) {
    font-family: 'Montserrat', sans-serif;
    font-size: 6rem;
    display: flex;
    align-self: center;
    letter-spacing: 1.6rem;
}

.glassMorphismEffectLeftSide p:nth-child(2) {
    font-family: 'Montserrat', sans-serif;
    font-size: 1.4rem;
    display: flex;
    align-self: center;
    text-align: center;
    margin-top: 2rem;
}

/* Style for right side glassmorphism paragraphs */
.glassMorphismEffectRightSide p:nth-child(1) {
    font-family: 'Montserrat', sans-serif;
    font-size: 6rem;
    display: flex;
    align-self: center;
    letter-spacing: 1.6rem;
}

.glassMorphismEffectRightSide p:nth-child(2) {
    font-family: 'Montserrat', sans-serif;
    font-size: 1.4rem;
    display: flex;
    align-self: center;
    text-align: center;
    margin-top: 2rem;
}

.separatorImage img {
    width: 100%;
    margin-bottom: -1rem;
}
